package cn.iocoder.yudao.common;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 检测相关和角色和其对应的权重
 *
 * 权重分配如下：
 *      检测业务管理员
 *      检测站老板
 * 	        检测官方
 * 	        检测商户
 * 	        经销商
 * 	        合作商
 *              引车员
 * 			        环检员
 * 			        外检员
 * 			        外检底检
 * 			        一审
 * 			        环检预审
 * 			        检测用户
 * @author 小李
 * @date 15:39 2024/12/15
**/
@AllArgsConstructor
@Getter
public enum InspectionRoleCommon {

    TENANT_ADMIN("tenant_admin", 1),

    /** 检测业务管理员 */
    JIANCE("jiance", 1),

    /** 站长 */
    JCZZ("jczz", 1),

    /** 检测站老板 */
    JCBOSS("jcboss", 1),

    /** 检测官方 */
    JCGF("jcgf", 2),

    /** 检测商户 */
    JCSHOP("jcshop", 2),

    /** 经销商 */
    DEALERS("dealers", 2),

    /** 合作商 */
    PARTNERS("partners", 2),

    /** 引车员 */
    JCYCY("jcycy", 3),

    /** 环检员 */
    JCHJY("jchjy", 4),

    /** 外检员 */
    JCWJY("jcwjy", 4),

    /** 外检底检 */
    JCWJDJ("jcwjdj", 4),

    /** 一审 */
    JCYSZZ("jcyszz", 4),

    /** 环检预审 */
    JCHJYS("jchjys", 4),

    /** 检测用户 */
    JCYH("jcyh", 4),

    /** 安检外检 */
    JCAJWJ("jcajwj", 4),

    /** 收费登录 */
    JCSFDL("jcsfdl", 4),

    /** 环检外检 */
    JCHJWJ("jchjwj", 4),

    /** 底盘检测 */
    JCDPJC("jcdpjc", 4),

    /** 环检操作 */
    JCHJCZ("jchjcz", 4),

    /** 检测总检 */
    JCZJ("jczj", 4),

    /** 检测资料管理员 */
    JCZLGLY("jczlgly", 4),

    /** 安全检验员 */
    AQJYY("aqjyy", 4),

    /** 授权签字人 */
    JCSQQZR("jcsqqzr", 4),

    /** 检测员工 */
    JCWORKER("jcworker", 4);

    /** 角色Code */
    private final String code;

    /** 角色权重 */
    private final Integer weight;
}
